function [eeg_out] = check_data(eeg_in)
    % demean the data (MUSE is an AC signal and the DC trend (e.g., the
    % mean, needs to be removed)
    eeg_out = [];
    if size(eeg_in,2) == 500 
        newEEG = [];
        x1 = 1;
        x2 = 500;
        y1 = 1;
        y2 = 4;
        while 1
            newEEG(1:4,x1:x2) = eeg_in(y1:y2,:);
            y1 = y2 + 1;
            y2 = y2 + 4;
            x1 = x2 + 1;
            x2 = x2 + 500;
            if y1 > size(eeg_in,1)
                break
            end
        end
        eeg_out = newEEG;
    else
        eeg_out = eeg_in;
    end 
end